#
# spec file for package qtemu (Version 1.0.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define _prefix	/usr

Name:           qtemu
Version:        1.0.5
Release:        1.1
Source:         http://download.sourceforge.net/qtemu/%{name}-%{version}.tar.bz2
Url:            http://qtemu.org/
Group:          System/Emulators/Other
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libqt4-devel
BuildRequires:  cmake
Patch0:         qtemu-1.0.4-help-tr-path.diff
Summary:        QtEmu is a graphical user interface for QEMU
Requires:       qemu
%if %suse_version > 1010
Recommends:     kvm
%endif

%description
QtEmu is a graphical user interface for QEMU. It has the ability to run virtual operating systems on native systems. This way you can easily test a new operating system or try a Live CD on your system without any troubles and dangers.

%prep
#%setup -q -n %{name}
%setup
%patch0 -p1

%build
# skip, breaks build:
# autoreconf -fiv
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_C_FLAGS="%{optflags}" \
      -DCMAKE_CXX_FLAGS="%{optflags}" \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 \
      ..
%__make %{?jobs:-j%{jobs}}

%install
cd build
%makeinstall
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_prefix}/help %{buildroot}%{_datadir}/%{name}/help
mv %{buildroot}%{_prefix}/translations %{buildroot}%{_datadir}/%{name}/translations

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/translations
# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

%changelog
* Thu Jul 31 2008 dmueller@suse.de
- require qemu otherwise image creation fails
* Fri Jul 25 2008 dmueller@suse.de
- Update to 1.0.5
